// Event.cpp: implementation of the Event class.
//
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "Event.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Event::Event()
{
  what = -1;
  pPacket = NULL;
  pVc = NULL;
}

Event::~Event()
{
  if (pPacket)
    delete pPacket;
  if (pVc)
    delete pVc;
}

ostream& operator<< ( ostream& os, Event& evt )
{
  os << "Time:" << evt.pPacket->m_time << endl;
  return os;
}
