// Packet.cpp: implementation of the Packet class.
//
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "Packet.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Packet::Packet()
{
  m_seq  = -1;
  m_vcId = -1;
  m_time = -1;
}

Packet::Packet(int seq, int vcId, INT64 time)
{
  m_seq = seq;
  m_vcId = vcId;
  m_time = time;
}

Packet::~Packet()
{

}

ostream& operator<<( ostream& os, Packet &p )
{
  os << p.m_time << '\t' << p.m_seq << '\t' << p.m_vcId; 
  os << endl;
  return os;
}
