// VCHash.h: interface for the VCHash class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_VCHASH_H_INCLUDED_)
#define _VCHASH_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VC.h"

// hash table of vc
typedef class VCHash  
{
protected:
  VectorListVC m_vecListVcHash;
public:
	VCHash(int hashSize=HASH_SIZE);
	virtual ~VCHash();
	ListVCIt GetVcFromHash(int vcId);
	PVC AddVc(PVC pVc); // add pVc to hash table, and return a pointer to the new vc
	void EraseVc(ListVCIt vcIt); // erase this vc from the hash table
protected:
	DWORD GetVcHashValue(int vcId);
}* PVCHash;

#endif // !defined(_VCHASH_H_INCLUDED_)
