#include "StdAfx.h"

int CELL_SIZE;
ofstream ofLog1;
ofstream ofLog2;

#if defined(_MSC_VER)
ostream& operator<<( ostream& os, INT64 i )
{
  char s[25];

  sprintf(s,"%I64d",i);
  os << s;

  return os;
}
#endif

void Error(char *fmt, ...)
{
  va_list args;

  cerr << "Error: ";

  va_start(args, fmt);
  vfprintf(stderr, fmt, args);
  fprintf(stderr, "\n");
  va_end(args);
    
  exit(1);
}

// read a line, ignore comment lines and empty lines
void ReadLine(ifstream &f, char line[], int len)
{
  do
  {
    f.getline(line,len);
  }while (IsBlank(line) && !f.eof());
}

BOOL IsBlank(char line[])
{
  char *pch;
  pch = line;
  while ((*pch==' ')||(*pch=='\t'))
    pch++;
  if ((*pch==0)||(*pch=='#'))
    return TRUE;
  else
    return FALSE;
}
