// Packet.h: interface for the Packet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_PACKET_H_INCLUDED_)
#define _PACKET_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// class Packet stores the information of an ATM packet
typedef class Packet  
{
public:
  int m_seq;
  int m_vcId;
  INT64 m_time;
public:
	Packet();
	Packet(int seq, int vcId, INT64 time);
	virtual ~Packet();
  friend ostream& operator<<( ostream& os, Packet &p );
}* PPacket;

ostream& operator<<( ostream& os, Packet &p );

typedef vector<PPacket> VectorPPacket;
typedef VectorPPacket::iterator VectorPPacketIt;

#endif // !defined(_PACKET_H_INCLUDED_)
